View Issue Details

IDProjectCategoryView StatusLast Update
13497Bug reports[All Projects] Theme editorpublic2018-07-03 10:17
ReporterRuif Assigned ToLouisGac  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version3.10.x 
Summary13497: Editor sreen loads without css when creating/opdating custom css
Description

Using the template editor to add custom css the page css doesn't load. All elements are listed without any markup.

• open custom css
• add some css
• click copy to local etc.
• page reloads witout markup
• same happens when saving the local custom.css

After clicking the custom.css link in this list of elements the page loads properly

Steps To Reproduce

See previous

TagsNo tags attached.
Complete LimeSurvey version number (& build)Versie 3.5.3+180316
I will donate to the project if issue is resolvedNo
BrowserFirefox 58.0.2 (64-bits)
Database & DB-VersionMySQL 5.5.5
Server OS (if known)ubuntu16.04.1
Webserver software & version (if known)apache 2.4
PHP Version7.1

Relationships

related to 13597 new Feature requests Create an asset directory to put js / css and picture 
child of 13606 closedLouisGac Bug reports Unable to reset manually asset (file or firectory) 

Activities

Ruif

Ruif

2018-04-14 10:39

reporter   ~47436

On 19/3 Louis wrote:

Thank you very much,

it should be fixed with next release.

--

Best regards from Hamburg/Germany

Louis Gac

Why is na action taken yet???

DenisChenu

DenisChenu

2018-04-15 17:59

developer   ~47437

We can surely improve this, currently seems reset ALL assets,
Maybe just publish needed asset (template assets) with https://www.yiiframework.com/doc/api/1.1/CAssetManager#publish-detail $forceCopy.

There are something other : currently assets have more file than needed

DenisChenu

DenisChenu

2018-04-19 15:46

developer   ~47469

Can fix, but need 13606

LouisGac

LouisGac

2018-04-20 17:45

manager   ~47476

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27044

orvil

orvil

2018-04-22 14:21

reporter   ~47485

Same problem in 3.7.0
Reloading page helps.

Saving of a changed template takes a lot of time.

ollehar

ollehar

2018-04-23 10:45

administrator   ~47489

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27053

DenisChenu

DenisChenu

2018-04-23 12:03

developer   ~47492

Fixed in https://github.com/LimeSurvey/LimeSurvey/pull/1048

Making assets is a file system part, not a DB part … maybe LS dev are better than Yii dev … 

LouisGac

LouisGac

2018-06-04 15:23

manager   ~47972

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27306

LouisGac

LouisGac

2018-06-04 16:45

manager   ~47976

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27311

Related Changesets

LimeSurvey: master bf3fd7ae

2018-04-20 17:45:03

LouisGac

Details Diff
Fixed issue 13497: Editor sreen loads without css when creating/opdating custom css Affected Issues
13497
mod - application/controllers/admin/themes.php Diff File

LimeSurvey: develop 620bcec4

2018-04-20 17:45:03

LouisGac


Committer: ollehar Details Diff
Fixed issue 13497: Editor sreen loads without css when creating/opdating custom css Affected Issues
13497
mod - application/controllers/admin/themes.php Diff File

LimeSurvey: master 0d99224f

2018-06-04 15:23:02

user70560


Committer: LouisGac Details Diff
Dev: Assets hash solution (#1057)

Fixed issue 13606 : Unable to reset manually single asset
Dev: hash function use for whole path, then global var set here
Dev: generatePath is used path by path

Fixed issue 13497 : Editor screen can be loaded without css after save
Dev: moving global reset to only this template
Dev: less time to generate assets

Fixed issue 13596: template assets is not resetted when update config
Dev: need to do it if user add a file in TemplateConfiguration_files_*
Dev: do it only for global theme (?)

Dev: move injectglobalsettings to LSYii_Application
Dev: maybe create a now function to set all config ?

Dev: Fix installmer and move all set configs part to one function

Dev: usage of DB for asset version number
Dev: hash solution for indexed pk in DB

Dev: oups on phpdoc
Dev: same other improvment than other pull request

Dev: broken update … remove test line ;)
Affected Issues
13497, 13596, 13606
mod - application/config/version.php Diff File
mod - application/controllers/admin/themeoptions.php Diff File
mod - application/controllers/admin/themes.php Diff File
mod - application/core/LSYii_Application.php Diff File
mod - application/core/LSYii_AssetManager.php Diff File
mod - application/helpers/globalsettings_helper.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
add - application/models/AssetVersion.php Diff File
mod - application/models/Template.php Diff File
mod - installer/create-database.php Diff File

LimeSurvey: master c3d25219

2018-06-04 16:45:15

user70560


Committer: LouisGac Details Diff
Fix multiple issues with theme assets (#1048)

Fixed issue 13606 : Unable to reset manually single asset
Dev: hash function use for whole path, then global var set here
Dev: generatePath is used path by path

Fixed issue 13497 : Editor screen can be loaded without css after save
Dev: moving global reset to only this template
Dev: less time to generate assets

Fixed issue 13596: template assets is not resetted when update config
Dev: need to do it if user add a file in TemplateConfiguration_files_*
Dev: do it only for global theme (?)

Dev: move injectglobalsettings to LSYii_Application
Dev: maybe create a now function to set all config ?

Dev: Fix installmer and move all set configs part to one function

Dev: Create a DB for asset version number and use it for Template

Dev: fix upgrade , remove dev test lien :/

Fixed issue : reset asset when upload or delete a template file
Dev: rename Template functions to be more clear (we don't delete really the asset directory)
Affected Issues
13497, 13596, 13606
mod - application/controllers/admin/themeoptions.php Diff File
mod - application/controllers/admin/themes.php Diff File
mod - application/core/LSYii_Application.php Diff File
mod - application/core/LSYii_AssetManager.php Diff File
mod - application/helpers/globalsettings_helper.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
add - application/models/AssetVersion.php Diff File
mod - application/models/Template.php Diff File
mod - installer/create-database.php Diff File

Issue History

Date Modified Username Field Change
2018-03-19 10:13 Ruif New Issue
2018-04-14 10:39 Ruif Note Added: 47436
2018-04-15 17:59 DenisChenu Note Added: 47437
2018-04-15 18:00 DenisChenu Relationship added related to 13597
2018-04-17 12:25 DenisChenu Relationship added related to 13606
2018-04-17 12:25 DenisChenu Relationship deleted related to 13606
2018-04-17 12:26 DenisChenu Relationship added child of 13606
2018-04-19 15:46 DenisChenu Note Added: 47469
2018-04-20 17:06 LouisGac Sticky Issue No => Yes
2018-04-20 17:45 LouisGac Changeset attached => LimeSurvey master bf3fd7ae
2018-04-20 17:45 LouisGac Note Added: 47476
2018-04-20 17:45 LouisGac Assigned To => LouisGac
2018-04-20 17:45 LouisGac Resolution open => fixed
2018-04-22 14:21 orvil Note Added: 47485
2018-04-23 10:23 LouisGac Status new => confirmed
2018-04-23 10:45 ollehar Changeset attached => LimeSurvey develop 620bcec4
2018-04-23 10:45 ollehar Note Added: 47489
2018-04-23 10:45 ollehar Assigned To LouisGac => ollehar
2018-04-23 12:03 DenisChenu Note Added: 47492
2018-04-24 10:06 ollehar Assigned To ollehar =>
2018-06-04 15:23 LouisGac Changeset attached => LimeSurvey master 0d99224f
2018-06-04 15:23 LouisGac Note Added: 47972
2018-06-04 15:23 LouisGac Assigned To => LouisGac
2018-06-04 16:45 LouisGac Changeset attached => LimeSurvey master c3d25219
2018-06-04 16:45 LouisGac Note Added: 47976
2018-06-11 16:30 markusfluer Status confirmed => resolved
2018-06-11 16:30 markusfluer Fixed in Version => 3.10.x
2018-06-11 16:30 markusfluer Status resolved => closed
2018-07-03 10:17 LouisGac Sticky Issue Yes => No